#!/usr/bin/env node

// Hello World client
// Connects REQ socket to tcp://localhost:5555
// Sends "Hello" to server.

//  Hello World client
const zmq = require('zeromq');
const argv = process.argv;

let max = 10;
if (typeof argv[2] != 'undefined') {
  max = Number(argv[2]);
}

async function runClient() {
  console.log('Connecting to hello world server…');

  //  Socket to talk to server
  const sock = new zmq.Request();
  sock.connect('tcp://localhost:5556');

  for (let i = 0; i < max; i++) {
    console.log('Sending Hello ', i);
    await sock.send('Hello');
    const [result] = await sock.receive();
    console.log('Received ', result.toString(), i);
  }
}

runClient();
