#!/usr/bin/env lua
--
--  Hello World client
--  Connects REQ socket to tcp://localhost:5555
--  Sends "Hello" to server, expects "World" back
--
--  Author: Robert G. Jakabosky <bobby@sharedrealm.com>
--
local zmq = require("zmq")
local fmt = string.format

local context = zmq.init(1)
local count = arg[1] or 10

--  Socket to talk to server
print("Connecting to hello world server...")
local socket = context:socket(zmq.REQ)
socket:connect("tcp://localhost:5556")

for n = 1, count do
	print("Sending Hello " .. n .. " ...")
	socket:send(fmt("Hello %s", n))

	local reply = socket:recv()
	print("Received World " .. n .. " [" .. reply .. "]")
end
socket:close()
context:term()
