#!/usr/bin/env python

"""
synopsis:
    Hello World client in Python
    Connects REQ socket to tcp://localhost:5555
    Sends "Hello" to server, expects "World" back
"""

import sys
import zmq


def send_requests(count):
    """Send the requests."""
    context = zmq.Context()
    #  Socket to talk to server
    print("Connecting to hello world server...")
    socket = context.socket(zmq.REQ)
    socket.connect("tcp://localhost:5556")
    for request in range(count):
        print(f"Sending request {request} ...")
        socket.send_string(f"Hello {request}")
        #  Get the reply.
        message = socket.recv()
        print(f"Received reply {request} [ {message} ]")


def main():
    """Main function"""
    args = sys.argv[1:]
    count = 10
    if len(args) == 1:
        count = int(args[0])
    send_requests(count)


if __name__ == "__main__":
    main()
